Synq Docs
Management APIWebhooks

A webhook's deliveries

Newest first, with their status, attempts and last answer. Needs `org.webhooks.view`.

GET/v1/orgs/{org}/webhooks/{webhook}/deliveries

Newest first, with their status, attempts and last answer. Needs org.webhooks.view.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string
webhook*string

Query Parameters

limit?integer

At most this many items, 200 at the most.

Range1 <= value <= 200
Default50
cursor?string

The previous page's next_cursor, for the page after it.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/orgs/string/webhooks/string/deliveries"
{  "data": [    {      "id": "string",      "event_type": "string",      "status": "pending",      "attempts": 0,      "last_status_code": 0,      "last_error": "string",      "delivered_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string"}